Promote Library Item

Promote Library Item
Promotes the project content library item to a provider content library.

Promotes the project content library item to a provider content library by capturing the item's underlying virtual machine as an OVF template and creating another item from it in the destination content library.

Request
URI
POST
https://{api_host}/cloudapi/v1/contentLibraryItems/{itemUrn}/promote
COPY
Path Parameters
string
itemUrn
Required

itemUrn


Request Body
ContentLibraryItemPromotion of type(s) application/json
Required

Show optional properties

{
    "targetContentLibrary": {}
}
{
    "targetContentLibrary": {
        "name": "string",
        "id": "string"
    }
}
object
targetContentLibrary
Required

Entity reference used to describe VCD entities

Authentication
This operation uses the following authentication methods.
Responses
202

The request have been accepted and the task to monitor the request is in the Location header.

Operation doesn't return any data structure

Vendor Extension

This operation contains the following vendor extensions defined in the spec:

                    [{"type":"Modern"}]
                
Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"targetContentLibrary":"object"}' https://{api_host}/cloudapi/v1/contentLibraryItems/{itemUrn}/promote